<?xml version = "1.0" encoding = "UTF-8"?>
<!--Generated by XML Authority. Conforms to w3c http://www.w3.org/2001/XMLSchema-->
<xsd:schema xmlns:xsd = "http://www.w3.org/2001/XMLSchema">
	<xsd:element name = "ArgusDataStream">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref = "ArgusFlowRecord" minOccurs = "0" maxOccurs = "unbounded"/>
				<xsd:element ref = "ArgusManagementRecord" minOccurs = "0" maxOccurs = "unbounded"/>
				<xsd:element ref = "ArgusDataStream.End"/>
			</xsd:sequence>
			<xsd:attribute name = "BeginDate" use = "required" type = "xsd:date"/>
			<xsd:attribute name = "BeginTime" use = "required" type = "xsd:time"/>
			<xsd:attribute name = "BeginTimeusec" use = "required" type = "xsd:int"/>
			<xsd:attribute name = "CurrentDate" use = "required" type = "xsd:date"/>
			<xsd:attribute name = "CurrentTime" use = "required" type = "xsd:time"/>
			<xsd:attribute name = "CurrentTimeusec" use = "required" type = "xsd:int"/>
			<xsd:attribute name = "MajorVersion" use = "required">
				<xsd:simpleType>
					<xsd:restriction base = "xsd:unsignedByte">
						<xsd:minInclusive value = "2"/>
					</xsd:restriction>
				</xsd:simpleType>
			</xsd:attribute>
			<xsd:attribute name = "MinorVersion" use = "required" type = "xsd:unsignedByte"/>
			<xsd:attribute name = "InterfaceType" use = "required">
				<xsd:simpleType>
					<xsd:restriction base = "xsd:NMTOKEN">
						<xsd:enumeration value = "DLT_NULL"/>
						<xsd:enumeration value = "DLT_EN10MB"/>
						<xsd:enumeration value = "DLT_EN3MB"/>
						<xsd:enumeration value = "DLT_AX25"/>
						<xsd:enumeration value = "DLT_PRONET"/>
						<xsd:enumeration value = "DLT_CHAOS"/>
						<xsd:enumeration value = "DLT_IEEE802"/>
						<xsd:enumeration value = "DLT_ARCNET"/>
						<xsd:enumeration value = "DLT_SLIP"/>
						<xsd:enumeration value = "DLT_PPP"/>
						<xsd:enumeration value = "DLT_FDDI"/>
						<xsd:enumeration value = "DLT_ATM_RFC1483"/>
						<xsd:enumeration value = "DLT_RAW"/>
						<xsd:enumeration value = "DLT_SLIP_BSDOS"/>
						<xsd:enumeration value = "DLT_PPP_BSDOS"/>
						<xsd:enumeration value = "DLT_ATM_CLIP"/>
						<xsd:enumeration value = "DLT_PPP_SERIAL"/>
						<xsd:enumeration value = "DLT_C_HDLC"/>
						<xsd:enumeration value = "DLT_IEE802_11"/>
					</xsd:restriction>
				</xsd:simpleType>
			</xsd:attribute>
			<xsd:attribute name = "InterfaceStatus" use = "required">
				<xsd:simpleType>
					<xsd:restriction base = "xsd:NMTOKEN">
						<xsd:enumeration value = "Up"/>
						<xsd:enumeration value = "Down"/>
					</xsd:restriction>
				</xsd:simpleType>
			</xsd:attribute>
			<xsd:attribute name = "SourceId" use = "required" type = "xsd:string"/>
			<xsd:attribute name = "NetAddr" use = "required" type = "IPAddress"/>
			<xsd:attribute name = "NetMask" use = "required" type = "IPAddress"/>
		</xsd:complexType>
	</xsd:element>
	<xsd:element name = "ArgusFlowRecord">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref = "FlowEncaps" minOccurs = "0"/>
				<xsd:element ref = "MACAddrs" minOccurs = "0"/>
				<xsd:element ref = "Flow"/>
				<xsd:element ref = "IPAddrNames" minOccurs = "0"/>
				<xsd:element ref = "FlowAttrs" minOccurs = "0"/>
				<xsd:element ref = "ExtFlow" minOccurs = "0"/>
				<xsd:element ref = "Metrics"/>
				<xsd:element ref = "ArgusUserData" minOccurs = "0"/>
				<xsd:element ref = "ArgusTimeStats" minOccurs = "0"/>
			</xsd:sequence>
			<xsd:attribute name = "ArgusSourceId" use = "required" type = "xsd:string"/>
			<xsd:attribute name = "SequenceNumber" use = "required" type = "xsd:unsignedInt"/>
			<xsd:attribute name = "Cause" use = "required">
				<xsd:simpleType>
					<xsd:restriction base = "xsd:NMTOKEN">
						<xsd:enumeration value = "Start"/>
						<xsd:enumeration value = "Status"/>
						<xsd:enumeration value = "Stop"/>
						<xsd:enumeration value = "Shutdown"/>
						<xsd:enumeration value = "Timeout"/>
						<xsd:enumeration value = "Error"/>
						<xsd:enumeration value = "Unknown"/>
					</xsd:restriction>
				</xsd:simpleType>
			</xsd:attribute>
			<xsd:attribute name = "StartDate" use = "required" type = "xsd:date"/>
			<xsd:attribute name = "StartTime" use = "required" type = "xsd:time"/>
			<xsd:attribute name = "StartTimeusecs" use = "required" type = "xsd:int"/>
			<xsd:attribute name = "LastDate" use = "required" type = "xsd:date"/>
			<xsd:attribute name = "LastTime" use = "required" type = "xsd:time"/>
			<xsd:attribute name = "LastTimeusecs" use = "required" type = "xsd:int"/>
			<xsd:attribute name = "Duration" use = "required" type = "xsd:float"/>
			<xsd:attribute name = "TransRefNum" use = "required" type = "xsd:unsignedInt"/>
		</xsd:complexType>
	</xsd:element>
	<xsd:element name = "ArgusManagementRecord">
		<xsd:complexType/>
	</xsd:element>
	<xsd:element name = "FlowEncaps">
		<xsd:complexType>
			<xsd:choice>
				<xsd:element ref = "MPLS"/>
				<xsd:element ref = "VLAN"/>
			</xsd:choice>
		</xsd:complexType>
	</xsd:element>
	<xsd:element name = "MPLS">
		<xsd:complexType>
			<xsd:attribute name = "SrcLabel" use = "optional" type = "xsd:hexBinary"/>
			<xsd:attribute name = "DstLabel" use = "optional" type = "xsd:hexBinary"/>
		</xsd:complexType>
	</xsd:element>
	<xsd:element name = "VLAN">
		<xsd:complexType>
			<xsd:attribute name = "Type" use = "required">
				<xsd:simpleType>
					<xsd:restriction base = "xsd:NMTOKEN">
						<xsd:enumeration value = "802.1Q"/>
					</xsd:restriction>
				</xsd:simpleType>
			</xsd:attribute>
			<xsd:attribute name = "SrcVid" use = "optional" type = "xsd:hexBinary"/>
			<xsd:attribute name = "DstVid" use = "optional" type = "xsd:hexBinary"/>
		</xsd:complexType>
	</xsd:element>
	<xsd:element name = "Flow">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:choice minOccurs = "0" maxOccurs = "unbounded">
					<xsd:element ref = "ICMP"/>
					<xsd:element ref = "Mac"/>
					<xsd:element ref = "Arp"/>
					<xsd:element ref = "Rarp"/>
					<xsd:element ref = "Esp"/>
					<xsd:element ref = "IP"/>
				</xsd:choice>
			</xsd:sequence>
		</xsd:complexType>
	</xsd:element>
	<xsd:element name = "IP">
		<xsd:complexType>
			<xsd:attribute name = "Proto" use = "optional" type = "xsd:string"/>
			<xsd:attribute name = "SrcIPAddr" use = "optional" type = "IPAddress"/>
			<xsd:attribute name = "Dport" use = "optional" type = "xsd:unsignedShort"/>
			<xsd:attribute name = "Sport" use = "optional" type = "xsd:unsignedShort"/>
			<xsd:attribute name = "DstIPAddr" use = "optional" type = "IPAddress"/>
			<xsd:attribute name = "IpId" use = "optional" type = "xsd:hexBinary"/>
		</xsd:complexType>
	</xsd:element>
	<xsd:element name = "Esp">
		<xsd:complexType>
			<xsd:attribute name = "Proto" use = "required">
				<xsd:simpleType>
					<xsd:restriction base = "xsd:NMTOKEN">
						<xsd:enumeration value = "esp"/>
						<xsd:enumeration value = "50"/>
					</xsd:restriction>
				</xsd:simpleType>
			</xsd:attribute>
			<xsd:attribute name = "SrcIPAddr" use = "optional" type = "IPAddress"/>
			<xsd:attribute name = "DstIPAddr" use = "optional" type = "IPAddress"/>
			<xsd:attribute name = "Spi" use = "optional" type = "xsd:unsignedShort"/>
		</xsd:complexType>
	</xsd:element>
	<xsd:element name = "ICMP">
		<xsd:complexType>
			<xsd:attribute name = "Proto" use = "required" type = "xsd:string"/>
			<xsd:attribute name = "SrcIPAddr" use = "optional" type = "IPAddress"/>
			<xsd:attribute name = "IcmpType" use = "required">
				<xsd:simpleType>
					<xsd:restriction base = "xsd:NMTOKEN">
						<xsd:enumeration value = "ECR"/>
						<xsd:enumeration value = "UR"/>
						<xsd:enumeration value = "SRC"/>
						<xsd:enumeration value = "RED"/>
						<xsd:enumeration value = "AHA"/>
						<xsd:enumeration value = "ECO"/>
						<xsd:enumeration value = "RTA"/>
						<xsd:enumeration value = "RTS"/>
						<xsd:enumeration value = "TXD"/>
						<xsd:enumeration value = "PAR"/>
						<xsd:enumeration value = "TST"/>
						<xsd:enumeration value = "TSR"/>
						<xsd:enumeration value = "IRQ"/>
						<xsd:enumeration value = "IRR"/>
						<xsd:enumeration value = "MAS"/>
						<xsd:enumeration value = "MSR"/>
						<xsd:enumeration value = "SEC"/>
						<xsd:enumeration value = "ROB"/>
						<xsd:enumeration value = "TRC"/>
						<xsd:enumeration value = "DCE"/>
						<xsd:enumeration value = "MHR"/>
						<xsd:enumeration value = "WAY"/>
						<xsd:enumeration value = "IAH"/>
						<xsd:enumeration value = "MRQ"/>
						<xsd:enumeration value = "MRP"/>
						<xsd:enumeration value = "DNQ"/>
						<xsd:enumeration value = "NDP"/>
						<xsd:enumeration value = "SKP"/>
						<xsd:enumeration value = "PHO"/>
						<xsd:enumeration value = "UNK"/>
					</xsd:restriction>
				</xsd:simpleType>
			</xsd:attribute>
			<xsd:attribute name = "DstIPAddr" use = "optional" type = "IPAddress"/>
			<xsd:attribute name = "IcmpCode" use = "optional">
				<xsd:simpleType>
					<xsd:restriction base = "xsd:NMTOKEN">
						<xsd:enumeration value = "Net"/>
						<xsd:enumeration value = "Host"/>
						<xsd:enumeration value = "Proto"/>
						<xsd:enumeration value = "Port"/>
						<xsd:enumeration value = "NeedFrag"/>
						<xsd:enumeration value = "SrcRoute"/>
						<xsd:enumeration value = "Net Unkn"/>
						<xsd:enumeration value = "Host Unkn"/>
						<xsd:enumeration value = "Isolated"/>
						<xsd:enumeration value = "Net Prohib"/>
						<xsd:enumeration value = "Host Prohib"/>
						<xsd:enumeration value = "Tos Net"/>
						<xsd:enumeration value = "Tos Host"/>
						<xsd:enumeration value = "Filter"/>
						<xsd:enumeration value = "Host Prec"/>
						<xsd:enumeration value = "Prec Xoff"/>
						<xsd:enumeration value = "not common"/>
						<xsd:enumeration value = "normal"/>
						<xsd:enumeration value = "reassembly"/>
						<xsd:enumeration value = "in transit"/>
						<xsd:enumeration value = "option"/>
						<xsd:enumeration value = "length"/>
						<xsd:enumeration value = "pointer"/>
					</xsd:restriction>
				</xsd:simpleType>
			</xsd:attribute>
			<xsd:attribute name = "IcmpData" use = "optional" type = "xsd:string"/>
		</xsd:complexType>
	</xsd:element>
	<xsd:element name = "Arp">
		<xsd:complexType>
			<xsd:attribute name = "SrcArpAddr" use = "required" type = "IPAddress"/>
			<xsd:attribute name = "TargetArpAaddr" use = "required" type = "IPAddress"/>
			<xsd:attribute name = "ArpMacAddr" use = "required" type = "EthernetAddress"/>
		</xsd:complexType>
	</xsd:element>
	<xsd:element name = "Rarp">
		<xsd:complexType/>
	</xsd:element>
	<xsd:element name = "Mac">
		<xsd:complexType>
			<xsd:attribute name = "SrcMacAddr" use = "optional" type = "EthernetAddress"/>
			<xsd:attribute name = "DstMacAddr" use = "optional" type = "EthernetAddress"/>
			<xsd:attribute name = "NetProto" use = "optional" type = "xsd:string"/>
			<xsd:attribute name = "Ssap" use = "optional" type = "xsd:string"/>
			<xsd:attribute name = "Dsap" use = "optional" type = "xsd:string"/>
		</xsd:complexType>
	</xsd:element>
	<xsd:element name = "FlowAttrs">
		<xsd:complexType>
			<xsd:attribute name = "Status" use = "optional" type = "xsd:string"/>
			<xsd:attribute name = "SrcOptions" use = "optional" type = "xsd:string"/>
			<xsd:attribute name = "DstOptions" use = "optional" type = "xsd:string"/>
			<xsd:attribute name = "SrcTOS" use = "required" type = "xsd:hexBinary"/>
			<xsd:attribute name = "DstTOS" use = "required" type = "xsd:string"/>
			<xsd:attribute name = "SrcTTL" use = "required" type = "xsd:string"/>
			<xsd:attribute name = "DstTTL" use = "required" type = "xsd:string"/>
		</xsd:complexType>
	</xsd:element>
	<xsd:element name = "MACAddrs">
		<xsd:complexType>
			<xsd:attribute name = "Status" use = "optional" type = "xsd:string"/>
			<xsd:attribute name = "SrcAddr" use = "required" type = "EthernetAddress"/>
			<xsd:attribute name = "DstAddr" use = "required" type = "EthernetAddress"/>
		</xsd:complexType>
	</xsd:element>
	<xsd:element name = "ExtFlow">
		<xsd:complexType>
			<xsd:choice>
				<xsd:element ref = "TCPExtFlow"/>
				<xsd:element ref = "ICMPExtFlow"/>
				<xsd:element ref = "FragExtFlow"/>
				<xsd:element ref = "EspExtFlow"/>
			</xsd:choice>
		</xsd:complexType>
	</xsd:element>
	<xsd:element name = "TCPExtFlow">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref = "TCPExtMetrics"/>
			</xsd:sequence>
			<xsd:attribute name = "TCPState" use = "required" type = "xsd:string"/>
			<xsd:attribute name = "TCPOptions" use = "required" type = "xsd:string"/>
			<xsd:attribute name = "AckDatauSecs" use = "required" type = "xsd:unsignedInt"/>
			<xsd:attribute name = "SynAckuSecs" use = "required" type = "xsd:unsignedInt"/>
		</xsd:complexType>
	</xsd:element>
	<xsd:element name = "ICMPExtFlow">
		<xsd:complexType/>
	</xsd:element>
	<xsd:element name = "FragExtFlow">
		<xsd:complexType/>
	</xsd:element>
	<xsd:element name = "EspExtFlow">
		<xsd:complexType>
			<xsd:attribute name = "SrcEspLastSeq" use = "required" type = "xsd:unsignedInt"/>
			<xsd:attribute name = "SrcEspDroppedPkts" use = "required" type = "xsd:unsignedInt"/>
			<xsd:attribute name = "DstEspLastSeq" use = "required" type = "xsd:unsignedInt"/>
			<xsd:attribute name = "DstEspDroppedPkts" use = "required" type = "xsd:unsignedInt"/>
		</xsd:complexType>
	</xsd:element>
	<xsd:element name = "TCPExtMetrics">
		<xsd:complexType>
			<xsd:attribute name = "DstTCPRetrans" use = "required" type = "xsd:unsignedInt"/>
			<xsd:attribute name = "DstTCPBytes" use = "required" type = "xsd:unsignedInt"/>
			<xsd:attribute name = "SrcTCPRetrans" use = "required" type = "xsd:unsignedInt"/>
			<xsd:attribute name = "DstTCPFlags" use = "required" type = "xsd:string"/>
			<xsd:attribute name = "DstTCPAckBytes" use = "required" type = "xsd:unsignedInt"/>
			<xsd:attribute name = "DstTCPWin" use = "required" type = "xsd:unsignedInt"/>
			<xsd:attribute name = "DstTCPSeqBase" use = "required" type = "xsd:unsignedInt"/>
			<xsd:attribute name = "SrcTCPBytes" use = "required" type = "xsd:unsignedInt"/>
			<xsd:attribute name = "SrcTCPSeqBase" use = "required" type = "xsd:unsignedInt"/>
			<xsd:attribute name = "SrcTCPFlags" use = "required" type = "xsd:string"/>
			<xsd:attribute name = "SrcTCPWin" use = "required" type = "xsd:unsignedInt"/>
			<xsd:attribute name = "SrcTCPAckBytes" use = "required" type = "xsd:unsignedInt"/>
		</xsd:complexType>
	</xsd:element>
	<xsd:element name = "Metrics">
		<xsd:complexType>
			<xsd:attribute name = "SrcCount" use = "required" type = "xsd:unsignedInt"/>
			<xsd:attribute name = "DstCount" use = "required" type = "xsd:unsignedInt"/>
			<xsd:attribute name = "SrcBytes" use = "required" type = "xsd:unsignedInt"/>
			<xsd:attribute name = "DstBytes" use = "required" type = "xsd:unsignedInt"/>
			<xsd:attribute name = "SrcAppBytes" use = "required" type = "xsd:unsignedInt"/>
			<xsd:attribute name = "DstAppBytes" use = "required" type = "xsd:unsignedInt"/>
		</xsd:complexType>
	</xsd:element>
	<xsd:element name = "ArgusTimeStats">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref = "SrcActive" minOccurs = "0"/>
				<xsd:element ref = "SrcIdle" minOccurs = "0"/>
				<xsd:element ref = "DstActive" minOccurs = "0"/>
				<xsd:element ref = "DstIdle" minOccurs = "0"/>
			</xsd:sequence>
		</xsd:complexType>
	</xsd:element>
	<xsd:element name = "SrcActive">
		<xsd:complexType>
			<xsd:attribute name = "StdDev" use = "required" type = "xsd:string"/>
			<xsd:attribute name = "MinUsec" use = "required" type = "xsd:unsignedInt"/>
			<xsd:attribute name = "MaxUsec" use = "required" type = "xsd:unsignedInt"/>
			<xsd:attribute name = "MeanUsec" use = "required" type = "xsd:unsignedInt"/>
			<xsd:attribute name = "n" use = "required" type = "xsd:int"/>
		</xsd:complexType>
	</xsd:element>
	<xsd:element name = "DstActive">
		<xsd:complexType>
			<xsd:attribute name = "StdDev" use = "required" type = "xsd:string"/>
			<xsd:attribute name = "MinUsec" use = "required" type = "xsd:unsignedInt"/>
			<xsd:attribute name = "MaxUsec" use = "required" type = "xsd:unsignedInt"/>
			<xsd:attribute name = "MeanUsec" use = "required" type = "xsd:unsignedInt"/>
			<xsd:attribute name = "n" use = "required" type = "xsd:int"/>
		</xsd:complexType>
	</xsd:element>
	<xsd:element name = "SrcIdle">
		<xsd:complexType>
			<xsd:attribute name = "StdDev" use = "required" type = "xsd:string"/>
			<xsd:attribute name = "MinUsec" use = "required" type = "xsd:unsignedInt"/>
			<xsd:attribute name = "MaxUsec" use = "required" type = "xsd:unsignedInt"/>
			<xsd:attribute name = "MeanUsec" use = "required" type = "xsd:unsignedInt"/>
			<xsd:attribute name = "n" use = "required" type = "xsd:int"/>
		</xsd:complexType>
	</xsd:element>
	<xsd:element name = "DstIdle">
		<xsd:complexType>
			<xsd:attribute name = "StdDev" use = "required" type = "xsd:string"/>
			<xsd:attribute name = "MinUsec" use = "required" type = "xsd:unsignedInt"/>
			<xsd:attribute name = "MaxUsec" use = "required" type = "xsd:unsignedInt"/>
			<xsd:attribute name = "MeanUsec" use = "required" type = "xsd:unsignedInt"/>
			<xsd:attribute name = "n" use = "required" type = "xsd:int"/>
		</xsd:complexType>
	</xsd:element>
	<xsd:element name = "ArgusUserData">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref = "SrcData" minOccurs = "0"/>
				<xsd:element ref = "DstData" minOccurs = "0"/>
			</xsd:sequence>
		</xsd:complexType>
	</xsd:element>
	<xsd:element name = "SrcData">
		<xsd:complexType>
			<xsd:attribute name = "Data-Ascii" use = "required" type = "xsd:string"/>
			<xsd:attribute name = "Length" use = "required" type = "xsd:string"/>
		</xsd:complexType>
	</xsd:element>
	<xsd:element name = "DstData">
		<xsd:complexType>
			<xsd:attribute name = "Data-Ascii" use = "required" type = "xsd:string"/>
			<xsd:attribute name = "Length" use = "required" type = "xsd:string"/>
		</xsd:complexType>
	</xsd:element>
	<xsd:element name = "IPAddrNames">
		<xsd:complexType>
			<xsd:attribute name = "SrcName" use = "optional" type = "xsd:string"/>
			<xsd:attribute name = "DstName" use = "optional" type = "xsd:string"/>
			<xsd:attribute name = "TargetName" use = "optional" type = "xsd:string"/>
		</xsd:complexType>
	</xsd:element>
	<xsd:element name = "ArgusDataStream.End">
		<xsd:complexType>
			<xsd:attribute name = "count" use = "required" type = "xsd:string"/>
		</xsd:complexType>
	</xsd:element>
	<xsd:simpleType name = "IPAddress">
		<xsd:restriction base = "xsd:string">
			<xsd:maxLength value = "15"/>
			<xsd:minLength value = "7"/>
			<xsd:pattern value = "((1?[0-9]?[0-9]|2[0-4][0-9]|25[0-5])\.){3}(1?[0-9]?[0-9]|2[0-4][0-9]|25[0-5])"/>
		</xsd:restriction>
	</xsd:simpleType>
	<xsd:simpleType name = "EthernetAddress">
		<xsd:restriction base = "xsd:string">
			<xsd:maxLength value = "17"/>
			<xsd:minLength value = "9"/>
			<xsd:pattern value = "(Broadcast|(([0-9a-fA-F]?[0-9a-fA-F]:){5}[0-9a-fA-F]?[0-9a-fA-F]))"/>
		</xsd:restriction>
	</xsd:simpleType>
</xsd:schema>